#
# $Source: /home/nlfm/Working/Mercator/Released/installer/RCS/install.tcl,v $
# $Date: 1999/11/29 11:38:52 $
# $Revision: 1.1.1.6 $
#
# ----------------------------------------------------------------------
#   AUTHOR:  Lindsay Marshall <lindsay.marshall@newcastle.ac.uk>
# ----------------------------------------------------------------------
# Copyright 1998 The University of Newcastle upon Tyne (see COPYRIGHT)
# ======================================================================
#
#
set NoGUI 0
#
switch -glob -- [info tclversion] {[1234567].*} {
    tk_dialog .wdz {Mercator Installation} {Sorry, you  must have tcl/tk version\
      8.0.4 or later to install Mercator} info 0 OK
    exit 1
}
if {[catch {wm withdraw .}]} {
    set NoGUI 1
    proc tk_dialog {a1 a2 msg args} {
	puts stderr $msg
    }
    proc update {} {}
}
#
if {![file exists installer] || ![file isdirectory installer]} {
    tk_dialog .err {Mercator Installer} {You must run the installer\
      with the mercator distribution directory as your current \
      directory!} error 0 Quit
    update
    exit 0
}
#
switch -glob [info tclversion] {
{[1234567]\.*} {
        tk_dialog .err {Mercator Installer} {Sorry, you must use \
	  tcl/tk version 8.0 or better.} error 0 Quit
        exit 0
    }
    default {}
}
#
set auto_path [linsert $auto_path 0 [file join [pwd] installer]]
#
source [file join installer manifest.tcl]
#
foreach x [array names Manifest] {
    if {![file exists $x]} {
        switch dmake $Manifest($x) {} default {
	    tk_dialog .err {Mercator Installer} "Missing file - $x" error 0 Quit
	    update
	    exit 0
	}	
    }
}
#
package require $tcl_platform(platform) 1.0
#
set needMsgcat [catch {package require msgcat}]
#
install $argv
