#
# $Source: /home/nlfm/Working/Mercator/Released/installer/RCS/unix.tcl,v $
# $Date: 1999/11/26 15:56:34 $
# $Revision: 1.1.1.4 $
#
# ----------------------------------------------------------------------
#   AUTHOR:  Lindsay Marshall <lindsay.marshall@newcastle.ac.uk>
# ----------------------------------------------------------------------
# Copyright 1998 The University of Newcastle upon Tyne (see COPYRIGHT)
# ======================================================================
#
package provide unix 1.0
#
proc install {argv} {
#
    package require support
    package require unixfile 
#
    global Lib Bin Wish go NoGUI Xtn
#
    set argv [doGlobals $argv]
#
    set w [mainWindow]
    set i 0
    set Xtn {}
#
# Mercator library directory
#
    makeEntry $w lib {Library Directory} Lib [incr i] getLib
#
# Mercator binary directory
#
    makeEntry $w bin {Binary Directory} Bin [incr i] getBin
#
# Wish
#
    makeEntry $w wish {Tcl/Tk Interpreter} Wish [incr i] getWish

#
# Info
#
    if !{$NoGUI} {
	grid [frame $w.sep2 -bg red] - -sticky ew -pady 2
	grid [label $w.info] -columnspan 2 -sticky ew
    }
    if {$go} { Go ; Quit }
#
# Buttons
#
    putButtons $w
}
proc getLib {} {
    global Lib
    switch {} $Lib {set Lib /usr/local/lib/mercator}
}
#
proc getWish {} {
    global Wish
    switch {} $Wish {set Wish [findWish]}
}
#
proc getBin {} {
    global Bin env Lib Wish
    switch {} $Bin {} default return
    foreach x [split $env(PATH) :] {
	set z [file join $x mercator]
	if {[file exists $z]  && [file executable $z]  && \
	  ![file isdirectory $z]} {
	    set Bin $x
	    if {![catch {open $z r} fd]} {
		gets $fd wish
		set Wish [string range $wish 2 end]
		gets $fd lib
		close $fd
		set Lib [lindex $lib 2]	
	    }
	    return
	}
    }
    set Bin /usr/local/bin
}
#
proc searchX {prog} {
    global env
    switch [file pathtype $prog] {
    relative {
	    foreach x [split $env(PATH) :] {
		if {[file exists [file join $x $prog]]} {
		    return [file join $x $prog]
		}
	    }
	}
    }
    return {}
}
#
proc findWish {} {
    global env
    foreach x [split $env(PATH) :] {
	foreach y {wish8.3 wish8.2 wish8.1 wish8.0 wish wishx} {
	    if {[file exists [set f [file join $x $y]]]} {
		return $f
	    }
	}
    }
    return {}
}
#
proc whereLib {} { global Lib ; return [list $Lib] }
#
proc makeExecutable {file} { mkExecutable $file }

